/**
*Programme cree par The Clusters
*Classe Tapis du jeu "Chkoba"
*Toutes les interfaces pour le reseau
*doivent heriter de Remote
*@author The Clusters
*@version 1.0
**/

package chkoba;
import chkoba.*;
import java.rmi.*;
import java.util.*;

/**
*	Interface Tapis
**/
public interface ITapis extends Remote
{
	/**
	* METHODES
	**/
	
	public boolean remove( ICarte c ) throws RemoteException ;
	public boolean remove( int i ) throws RemoteException ;
	public void add( ICarte c ) throws RemoteException ;
	public void add() throws RemoteException ;
	public int somme() throws RemoteException;
	public boolean removeAll( ArrayList<ICarte> array ) throws RemoteException;
	
	/**
	* ACCESSEURS
	**/
	
	public int size() throws RemoteException;
	public ICarte get( int i ) throws RemoteException ;
	public ICarte get( ICarte c ) throws RemoteException ;
	
	/**
	* AFFICHAGE
	**/
	
	public String affiche( ) throws RemoteException ;
}